Subject: Re: sky2 poweroff screws up my network

From: Stephen Hemminger <[email-masked]>
Date: Wed, 19 May 2010 08:14:40 -0700

On Wed, 19 May 2010 10:32:08 -0400
Kyle McMartin <[email-masked]> wrote:

> Hi Stephen,
> 
> I've noticed a rather strange problem with the onboard sky2 on one of my
> machines. When I halt -p it, my router stops passing traffic completely
> until I kill the power to the machine entirely. If it's just been shut
> down with halt -p, it recovers immediately after turning it back on,
> while it's in BIOS.
> 
> Any thoughts on this? My guess is its because the sky2 shutdown puts the
> nic to sleep and when the host is off, bad things happen.
> 
> regards, Kyle

The sky2 shutdown puts the chip in Wake On Lan state; this
does a separate link speed negotiation (100 mbit) which may be a problem
if speed duplex is forced.